    Return the data used by image_source.

get_source_image(id=None)
id - int or str, optional

Evaluate the source expression for the image pixels - without any PSF convolution - and return the results.

Return the model data for the default data set:

>>> sinfo = get_source_image() >>> sinfo.y.shape (150, 175)

PARAMETERS

The parameter for this function is:

Parameter
Definition
id
The data set. If not given then the default identifier is used, as returned by `get_default_id` .

The return value from this function is:

src_img -- The y attribute contains the source model values as a 2D NumPy array.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023